Bug 526274

Summary: Review Request: gplcver - An interpreted Verilog HDL simulator
Product: [Fedora] Fedora Reporter: Shakthi Kannan <shakthimaan>
Component: Package ReviewAssignee: Chitlesh GOORAH <chitlesh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: chitlesh, fedora-package-review, notting, shakthimaan
Target Milestone: ---Flags: chitlesh: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.11a-2.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-03 18:54:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Shakthi Kannan 2009-09-29 15:53:56 UTC
SPEC URL: http://shakthimaan.fedorapeople.org/SPECS/gplcver.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/gplcver-2.11a-2.fc11.src.rpm

Description: Cver is a full 1995 IEEE P1364 standard Verilog simulator. It also
implements some of the 2001 P1364 standard features. All three
PLI interfaces (tf_, acc_, and vpi_) are implemented as defined
in the IEEE 2001 P1364 LRM.

GPL Cver is an older version of Cver that is released under the GNU
General Public License.

Successful Koji builds for F-10, F-11, EL-5 respectively at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1716589
http://koji.fedoraproject.org/koji/taskinfo?taskID=1716648
http://koji.fedoraproject.org/koji/taskinfo?taskID=1716655

Comment 1 Chitlesh GOORAH 2009-09-29 16:25:26 UTC
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPLv2) with an open-source compatible license
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: the package does not contain any duplicate files in the %files
- MUST: the package owns all directories that it creates.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible.
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i586.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.: No locales in this package
- MUST: the package is not designed to be relocatable
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros
section of Packaging Guidelines.
- MUST: The package contains code, or permissible content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries
- MUST: The package does not contain library files with a suffix
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package does not own files or directories already owned by other
packages.

SHOULD Items:

 - SHOULD: The source package doesn't include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i586.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD:  Those scriptlets used are sane.


Approved

Comment 2 Shakthi Kannan 2009-09-29 16:34:10 UTC
New Package CVS Request
=======================
Package Name: gplcver
Short Description: An interpreted Verilog HDL simulator
Owners: shakthimaan chitlesh
Branches: F-10 F-11 EL-5

Comment 3 Kevin Fenzi 2009-09-29 19:58:02 UTC
cvs done (with F-12 branch added).

Comment 4 Fedora Update System 2009-10-01 05:42:01 UTC
gplcver-2.11a-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gplcver-2.11a-2.fc10

Comment 5 Fedora Update System 2009-10-01 05:42:06 UTC
gplcver-2.11a-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/gplcver-2.11a-2.el5

Comment 6 Fedora Update System 2009-10-01 05:42:11 UTC
gplcver-2.11a-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gplcver-2.11a-2.fc11

Comment 7 Fedora Update System 2009-10-02 05:06:23 UTC
gplcver-2.11a-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gplcver'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0561

Comment 8 Fedora Update System 2009-10-03 18:54:23 UTC
gplcver-2.11a-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-10-03 19:10:39 UTC
gplcver-2.11a-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-10-21 16:25:14 UTC
gplcver-2.11a-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.